#ifndef __kio_observer_h__
#define __kio_observer_h__

#include <qstring.h>

namespace KIO
{

    class Observer
    {
    public:
        Observer() {}
        ~Observer() {}

        static Observer *self();

        bool openPassDlg( const QString &prompt, QString &user, QString &pass,
                          const QString &caption, const QString &comment,
                          const QString &label, bool readOnly, bool *keep = 0 );

        int messageBox( int progressId, int type, const QString &text, const QString &caption,
                        const QString &buttonYes, const QString &buttonNo );

    private:
        static Observer *s_self;
    };

};

#endif
